Subject: Re: [PATCH v5 00/10] fetch --recurse-submodules: fetch unpopulated submodules

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Mar 2022 12:22:59 -0800

Glen Choo <[email-masked]> writes:

> To clarify, does this opinion of "don't use config values that aren't
> copied into .git/config" extend to in-tree .gitmodules? Prior to this
> series, we always read the in-tree .gitmodules to get the config - the
> user does not need to copy the settings to .git/config, but we don't
> pick a commit to read .gitmodules from.

I think we do, but I also think it was a huge mistake to allow
repository data to directly affect the behaviour of local checkout.

Fixing that is most likely outside the scope of this series, though.